
#include "chirp_acl.h"
#include "chirp_protocol.h"

#include <errno.h>
#include <string.h>

/*
Note carefully: ACLs are not implemented yet,
but the basic hooks for access control are in place.
*/

static int read_only_mode = 0;


void chirp_acl_force_readonly()
{
	read_only_mode = 1;
}

int chirp_acl_check( const char *filename, const char *subject, int perms )
{
	if(read_only_mode) {
		if(perms&(CHIRP_ACL_WRITE|CHIRP_ACL_ADMIN)) {
			errno = EACCES;
			return 0;
		}
	}

	return 1;
}

int chirp_acl_set( const char *filename, const char *subject, const char *acl )
{
	errno = ENOSYS;
	return -1;
}


FILE * chirp_acl_open( const char *filename )
{
	errno = ENOSYS;
	return 0;
}

const char * chirp_acl_read( FILE *aclfile )
{
	static char line[CHIRP_LINE_MAX*2];
	return fgets(line,sizeof(line),aclfile);
}

void chirp_acl_close( FILE *aclfile )
{
	fclose(aclfile);
}

