
/*
Copyright (C) 2004 Douglas Thain
This work is made available under a BSD-style license.
See the file COPYING for details.
*/

#include "disk_info.h"

#include <sys/types.h>
#include <sys/statfs.h>

int disk_info_get( const char *path, UINT64_T *avail, UINT64_T *total )
{
	int result;
	struct statfs s;

#ifdef sun
	result = statfs(path,&s,0,0);
#else
	result = statfs(path,&s);
#endif

	if(result<0) return result;

	*total = ((UINT64_T)s.f_bsize)*s.f_blocks;

#ifdef sun
	*avail = ((UINT64_T)s.f_bsize)*s.f_bfree;
#else
	*avail = ((UINT64_T)s.f_bsize)*s.f_bavail;
#endif

	return 0;
}
