#ifndef NVPAIR_H
#define NVPAIR_H

#include <stdio.h>
#include "int_sizes.h"

struct nvpair * nvpair_create();
void            nvpair_delete( struct nvpair *n );

void		nvpair_parse( struct nvpair *n, const char *text );
void            nvpair_insert_string( struct nvpair *n, const char *name, const char *value );
void            nvpair_insert_integer( struct nvpair *n, const char *name, INT64_T value );
const char *    nvpair_lookup_string( struct nvpair *n, const char *name );
INT64_T         nvpair_lookup_integer( struct nvpair *n, const char *name );

void nvpair_print_text( struct nvpair *n, FILE *stream );
void nvpair_print_xml( struct nvpair *n, FILE *stream );
void nvpair_print_old_classads( struct nvpair *n, FILE *stream );
void nvpair_print_new_classads( struct nvpair *n, FILE *stream );

void nvpair_print_html_header( FILE *stream, const char *headers[] );
void nvpair_print_html( struct nvpair *n, FILE *stream, const char *headers[] );
void nvpair_print_html_footer( FILE *stream, const char *headers[] );

#endif
