/*
Copyright (C) 2004 Douglas Thain
This work is made available under a BSD-style license.
See the file COPYING for details.
*/

#ifndef TRACER_H
#define TRACER_H

#include <sys/types.h>

#define TRACER_ARGS_MAX 8

void tracer_prepare();

struct tracer * tracer_attach( pid_t pid );
void            tracer_detach( struct tracer *t );
void		tracer_continue( struct tracer *t, int signum );

int             tracer_args_get( struct tracer *t, int *syscall, int args[TRACER_ARGS_MAX] );
int             tracer_args_set( struct tracer *t, int syscall, int args[TRACER_ARGS_MAX], int nargs );
int             tracer_result_get( struct tracer *t, int *result );
int             tracer_result_set( struct tracer *t, int result );

int             tracer_copy_out( struct tracer *t, const void *data, const void *uaddr, int length );
int             tracer_copy_in( struct tracer *t, void *data, const void *uaddr, int length );

const char *    tracer_syscall_name( struct tracer *t, int syscall );

#include "tracer.table.h"

#endif
